var portfolioHLSummary = new Component("portfolioHLSummary");
app.registerComponent(portfolioHLSummary);

portfolioHLSummary.on( "load", function(){
    trackAction("Summary - View");
    var bykey = app.selectBpKey;
    if(!bykey){
        return;
    }
    var dataUrl = "portfolio/highLevelSummary/" + bykey + "?asOfDate=" + app.selectDateValue;
    var displayDivId = "portfolioHLSumarryZone";

    return this.render("template/portfolio_hl_sumarry.html", displayDivId, dataUrl).done(
            function(template, data){
                var value = data.data.result.refccy;
                var assetValue = "";
                if(value){
                    assetValue = assetValue  + "(" + value + ")";
                }
                $("#assetValueId").empty().append(assetValue);
                $("#liabilitiesId").empty().append(assetValue);
                //lang.renderMessage("notes_portfolioHLSummary", "notes_portfolioHLSummary");
                
            });
        
});